package com.mortals.xhx.module.app.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.app.model.AppEntity;
import com.mortals.xhx.module.site.model.SiteEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 自助终端应用视图对象
*
* @author zxfei
* @date 2022-11-28
*/
@Data
public class AppVo extends BaseEntityLong {

    /**
     * 适用站点范围数量
     */
    private Integer applianceSiteScope;

    private List<Long> siteIdList;

    private List <Long> idList;
    /**
     * 自主应用访问地址
     */
    private String custUrl;
    /**
     * 图标访问地址
     */
    private String appIconUrl;

}